org.apache.cassandra.index.transactions

## Interface CompactionTransaction

All Superinterfaces:
  IndexTransaction

    public interface CompactionTransaction
    extends IndexTransaction

Performs garbage collection of stale index entries during a regular compaction. A CompactionTransaction is concerned with cleaning up stale index entries. When multiple versions of a row are compacted, the CompactionTransaction is notified of the versions being merged, which it diffs against the merge result. Instances are currently scoped to a single row within a partition, but this could be improved to batch process multiple rows within a single partition.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.index.transactions.IndexTransaction

`IndexTransaction.Type`

### Field Summary

Fields
`static CompactionTransaction` `NO_OP`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onRowMerge(Row merged, Row... versions)`

### Methods inherited from interface org.apache.cassandra.index.transactions.IndexTransaction

`commit, start`

### Field Detail

#### NO_OP

    static final CompactionTransaction NO_OP

### Method Detail

#### onRowMerge

    void onRowMerge(Row merged,
                    Row... versions)